﻿using _692262_EntityFramework_Join_MVC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace _692262_EntityFramework_Join_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            NorthwindEntities entities = new NorthwindEntities();
            var products = new List<ProductModel>();
            products = (from p in entities.Products
                        join c in entities.Categories on p.CategoryID equals c.CategoryID
                        orderby p.ProductID
                        select new ProductModel
                        {
                            ProductID = p.ProductID,
                            ProductName = p.ProductName,
                            UnitPrice = p.UnitPrice,
                            CategoryName = c.CategoryName,
                            Description = c.Description
                        }).Take(10).ToList();
            return View(products);
        }
    }
}